Bug 116102 - Subscript out of range
Summary: Subscript out of range
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: raidtools (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-18 10:24 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-26 12:57:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-18 10:24:55 UTC
Description of problem:

I just tried to compile package raidtools-1.00.3-6 from Fedora.

The compiler said

1.

scsi.c(277): warning #175: subscript out of range

The source code is

    sg_dev->revision[5] = '\0';

but

[root@localhost SPECS]# find ../BUILD/raidtools-1.00.3/ -name \*.h
-print | xargs grep revision
../BUILD/raidtools-1.00.3/scsi.h:    char revision[5];
[root@localhost SPECS]#

I'm not sure what the fix is for this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Doug Ledford 2004-02-26 12:57:35 UTC
Raidtools is deprecated and will likely go away soon.  It likely also
won't get any more fixes.  Use the mdadm package instead.


Note You need to log in before you can comment on or make changes to this bug.